Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": 1,
"per_page": 20
}
response = client.folders.list(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/folder/list \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"page": 1,
"per_page": 20
}'{
"success": true,
"folders": [
{
"_id": "69f9a4393fd42c4dfc2aaaa9",
"folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Outbound Agents",
"description": "Sales and support",
"agent_ids": [],
"created_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"updated_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"agent_count": 0
},
{
"_id": "698b090f0cc08f3e477484f6",
"folder_id": "a3740204-726f-4547-b0f8-8831a5147207",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Template agents",
"description": "",
"agent_ids": [
"fad523e2-2645-4bc0-87ad-2b1727b1a939",
"f0a578ee-a48e-4731-93e1-bc7e3bf001c5",
"061ea565-3659-4ce6-936a-bc3ceac3099f",
"0fa77b60-25f9-4ac2-8b3f-6222dab19936",
"1baff16e-22fe-4091-b6ac-62356971a6e9",
"42f5f790-f0d8-4e6b-a55d-b68d727dd017",
"2afd255b-3166-415c-b823-9c21500dac0b",
"d4afb99c-fb12-40bb-8cea-9d7bba7bf177",
"856178f3-fecc-41e4-9576-c02f343ba476"
],
"created_at": {
"$date": "2026-02-10T10:31:43.777Z"
},
"updated_at": {
"$date": "2026-02-19T12:29:10.978Z"
},
"agent_count": 9
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 20,
"total_pages": 1
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Folders
List folders
Lists folders with pagination.
POST
/
folder
/
list
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"page": 1,
"per_page": 20
}
response = client.folders.list(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/folder/list \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"page": 1,
"per_page": 20
}'{
"success": true,
"folders": [
{
"_id": "69f9a4393fd42c4dfc2aaaa9",
"folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Outbound Agents",
"description": "Sales and support",
"agent_ids": [],
"created_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"updated_at": {
"$date": "2026-05-05T08:03:05.855Z"
},
"agent_count": 0
},
{
"_id": "698b090f0cc08f3e477484f6",
"folder_id": "a3740204-726f-4547-b0f8-8831a5147207",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Template agents",
"description": "",
"agent_ids": [
"fad523e2-2645-4bc0-87ad-2b1727b1a939",
"f0a578ee-a48e-4731-93e1-bc7e3bf001c5",
"061ea565-3659-4ce6-936a-bc3ceac3099f",
"0fa77b60-25f9-4ac2-8b3f-6222dab19936",
"1baff16e-22fe-4091-b6ac-62356971a6e9",
"42f5f790-f0d8-4e6b-a55d-b68d727dd017",
"2afd255b-3166-415c-b823-9c21500dac0b",
"d4afb99c-fb12-40bb-8cea-9d7bba7bf177",
"856178f3-fecc-41e4-9576-c02f343ba476"
],
"created_at": {
"$date": "2026-02-10T10:31:43.777Z"
},
"updated_at": {
"$date": "2026-02-19T12:29:10.978Z"
},
"agent_count": 9
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 20,
"total_pages": 1
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Body
application/json
Request body for List folders.
⌘I

